# Uses of Class
com.fasterxml.jackson.core.JsonLocation

Packages that use JsonLocation
Package
Description
com.fasterxml.jackson.core
Main public API classes of the core streaming JSON processor: most importantly `JsonFactory` used for constructing JSON parser (`JsonParser`) and generator (`JsonGenerator`) instances.
com.fasterxml.jackson.core.base
Base classes used by concrete Parser and Generator implementations; contain functionality that is not specific to JSON or input abstraction (byte vs char).
com.fasterxml.jackson.core.exc
Package for some of `JsonProcessingException` subtypes contained by streaming API.
com.fasterxml.jackson.core.filter
com.fasterxml.jackson.core.json
JSON-specific parser and generator implementation classes that Jackson defines and uses.
com.fasterxml.jackson.core.json.async
Non-blocking ("async") JSON parser implementation.
com.fasterxml.jackson.core.util
Utility classes used by Jackson Core functionality.

## Uses of JsonLocation in com.fasterxml.jackson.core

Fields in com.fasterxml.jackson.core declared as JsonLocation
Modifier and Type
Field
Description
`protected JsonLocation`
JsonProcessingException.`_location`
`static final JsonLocation`
JsonLocation.`NA`
Shared immutable "N/A location" that can be returned to indicate that no location information is available.
Methods in com.fasterxml.jackson.core that return JsonLocation
Modifier and Type
Method
Description
`JsonLocation`
JsonParser.`currentLocation()`
Method that returns location of the last processed input unit (character or byte) from the input; usually for error reporting purposes.
`JsonLocation`
JsonParser.`currentTokenLocation()`
Method that return the starting location of the current (most recently returned) token; that is, the position of the first input unit (character or byte) from input that starts the current token.
`abstract JsonLocation`
JsonParser.`getCurrentLocation()`
Alias for `JsonParser.currentLocation()`, to be deprecated in later Jackson 2.x versions (and removed from Jackson 3.0).
`abstract JsonLocation`
JacksonException.`getLocation()`
Accessor for location information related to position within input or output (depending on operation), if available; if not available may return `null`.
`JsonLocation`
JsonProcessingException.`getLocation()`
`JsonLocation`
JsonStreamContext.`getStartLocation(Object srcRef)`
Deprecated.
Since 2.13 use `JsonStreamContext.startLocation(com.fasterxml.jackson.core.io.ContentReference)` instead
`abstract JsonLocation`
JsonParser.`getTokenLocation()`
Alias for `JsonParser.currentTokenLocation()`, to be deprecated in later Jackson 2.x versions (and removed from Jackson 3.0).
`JsonLocation`
JsonStreamContext.`startLocation(ContentReference srcRef)`
Optional method that may be used to access starting location of this context: for example, in case of JSON `Object` context, offset at which `[` token was read or written.
Constructors in com.fasterxml.jackson.core with parameters of type JsonLocation
Modifier
Constructor
Description
``
`JsonParseException(JsonParser p, String msg, JsonLocation loc)`
``
`JsonParseException(JsonParser p, String msg, JsonLocation loc, Throwable root)`
``
`JsonParseException(String msg, JsonLocation loc)`
Deprecated.
``
`JsonParseException(String msg, JsonLocation loc, Throwable root)`
Deprecated.
`protected`
`JsonProcessingException(String msg, JsonLocation loc)`
`protected`
`JsonProcessingException(String msg, JsonLocation loc, Throwable rootCause)`

## Uses of JsonLocation in com.fasterxml.jackson.core.base

Methods in com.fasterxml.jackson.core.base that return JsonLocation
Modifier and Type
Method
Description
`JsonLocation`
ParserBase.`getCurrentLocation()`
Method that returns location of the last processed character; usually for error reporting purposes
`JsonLocation`
ParserBase.`getTokenLocation()`
Method that return the starting location of the current token; that is, position of the first character from input that starts the current token.

## Uses of JsonLocation in com.fasterxml.jackson.core.exc

Constructors in com.fasterxml.jackson.core.exc with parameters of type JsonLocation
Modifier
Constructor
Description
``
`StreamConstraintsException(String msg, JsonLocation loc)`
`protected`
`StreamReadException(JsonParser p, String msg, JsonLocation loc)`
`protected`
`StreamReadException(JsonParser p, String msg, JsonLocation loc, Throwable rootCause)`
`protected`
`StreamReadException(String msg, JsonLocation loc, Throwable rootCause)`

## Uses of JsonLocation in com.fasterxml.jackson.core.filter

Methods in com.fasterxml.jackson.core.filter that return JsonLocation
Modifier and Type
Method
Description
`JsonLocation`
FilteringParserDelegate.`getCurrentLocation()`
`JsonLocation`
FilteringParserDelegate.`getTokenLocation()`

## Uses of JsonLocation in com.fasterxml.jackson.core.json

Methods in com.fasterxml.jackson.core.json that return JsonLocation
Modifier and Type
Method
Description
`JsonLocation`
DupDetector.`findLocation()`
`JsonLocation`
ReaderBasedJsonParser.`getCurrentLocation()`
`JsonLocation`
UTF8DataInputJsonParser.`getCurrentLocation()`
`JsonLocation`
UTF8StreamJsonParser.`getCurrentLocation()`
`JsonLocation`
JsonReadContext.`getStartLocation(Object rawSrc)`
Deprecated.
`JsonLocation`
ReaderBasedJsonParser.`getTokenLocation()`
`JsonLocation`
UTF8DataInputJsonParser.`getTokenLocation()`
`JsonLocation`
UTF8StreamJsonParser.`getTokenLocation()`
`JsonLocation`
JsonReadContext.`startLocation(ContentReference srcRef)`

## Uses of JsonLocation in com.fasterxml.jackson.core.json.async

Methods in com.fasterxml.jackson.core.json.async that return JsonLocation
Modifier and Type
Method
Description
`JsonLocation`
NonBlockingJsonParserBase.`getCurrentLocation()`
`JsonLocation`
NonBlockingJsonParserBase.`getTokenLocation()`

## Uses of JsonLocation in com.fasterxml.jackson.core.util

Methods in com.fasterxml.jackson.core.util that return JsonLocation
Modifier and Type
Method
Description
`JsonLocation`
JsonParserDelegate.`currentLocation()`
`JsonLocation`
JsonParserDelegate.`currentTokenLocation()`
`JsonLocation`
JsonParserDelegate.`getCurrentLocation()`
`JsonLocation`
JsonParserDelegate.`getTokenLocation()`